Package proton :: Module reactor :: Class SessionPerConnection

[frames] | no frames]

# Class SessionPerConnection

source code

    object --+
             |
            SessionPerConnection

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

session(self, connection) | source code

on_session_remote_close(self, event) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)